org.keycloak.broker.oidc

## Class OAuth2IdentityProviderConfig

- java.lang.Object
- - org.keycloak.models.IdentityProviderModel
  - - org.keycloak.broker.oidc.OAuth2IdentityProviderConfig

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    OIDCIdentityProviderConfig, OpenshiftV3IdentityProviderConfig, OpenshiftV4IdentityProviderConfig, PayPalIdentityProviderConfig, StackOverflowIdentityProviderConfig

      public class OAuth2IdentityProviderConfig
      extends IdentityProviderModel

  Author:
    Pedro Igor
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.IdentityProviderModel

      `addReadTokenRoleOnCreate, ALLOWED_CLOCK_SKEW, HIDE_ON_LOGIN, linkOnly, LOGIN_HINT, SYNC_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuth2IdentityProviderConfig()`
    `OAuth2IdentityProviderConfig(IdentityProviderModel model)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthorizationUrl()`
    `String` | `getClientAuthMethod()`
    `String` | `getClientId()`
    `String` | `getClientSecret()`
    `String` | `getDefaultScope()`
    `String` | `getForwardParameters()`
    `String` | `getPrompt()`
    `String` | `getTokenUrl()`
    `String` | `getUserInfoUrl()`
    `boolean` | `isBasicAuthentication()`
    `boolean` | `isJWTAuthentication()`
    `boolean` | `isUiLocales()`
    `void` | `setAuthorizationUrl(String authorizationUrl)`
    `void` | `setClientAuthMethod(String clientAuth)`
    `void` | `setClientId(String clientId)`
    `void` | `setClientSecret(String clientSecret)`
    `void` | `setDefaultScope(String defaultScope)`
    `void` | `setForwardParameters(String forwardParameters)`
    `void` | `setTokenUrl(String tokenUrl)`
    `void` | `setUiLocales(boolean uiLocales)`
    `void` | `setUserInfoUrl(String userInfoUrl)`
    `void` | `validate(RealmModel realm)` Validates this configuration.

    - ### Methods inherited from class org.keycloak.models.IdentityProviderModel

      `getAlias, getConfig, getDisplayName, getFirstBrokerLoginFlowId, getInternalId, getPostBrokerLoginFlowId, getProviderId, getSyncMode, isAddReadTokenRoleOnCreate, isAuthenticateByDefault, isEnabled, isHideOnLogin, isLinkOnly, isLoginHint, isStoreToken, isTrustEmail, setAddReadTokenRoleOnCreate, setAlias, setAuthenticateByDefault, setConfig, setDisplayName, setEnabled, setFirstBrokerLoginFlowId, setHideOnLogin, setInternalId, setLinkOnly, setLoginHint, setPostBrokerLoginFlowId, setProviderId, setStoreToken, setSyncMode, setTrustEmail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuth2IdentityProviderConfig

          public OAuth2IdentityProviderConfig(IdentityProviderModel model)

    - #### OAuth2IdentityProviderConfig

          public OAuth2IdentityProviderConfig()

  - ### Method Detail

    - #### getAuthorizationUrl

          public String getAuthorizationUrl()

    - #### setAuthorizationUrl

          public void setAuthorizationUrl(String authorizationUrl)

    - #### getTokenUrl

          public String getTokenUrl()

    - #### setTokenUrl

          public void setTokenUrl(String tokenUrl)

    - #### getUserInfoUrl

          public String getUserInfoUrl()

    - #### setUserInfoUrl

          public void setUserInfoUrl(String userInfoUrl)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getClientAuthMethod

          public String getClientAuthMethod()

    - #### setClientAuthMethod

          public void setClientAuthMethod(String clientAuth)

    - #### getClientSecret

          public String getClientSecret()

    - #### setClientSecret

          public void setClientSecret(String clientSecret)

    - #### getDefaultScope

          public String getDefaultScope()

    - #### setDefaultScope

          public void setDefaultScope(String defaultScope)

    - #### isJWTAuthentication

          public boolean isJWTAuthentication()

    - #### isBasicAuthentication

          public boolean isBasicAuthentication()

    - #### isUiLocales

          public boolean isUiLocales()

    - #### setUiLocales

          public void setUiLocales(boolean uiLocales)

    - #### getPrompt

          public String getPrompt()

    - #### getForwardParameters

          public String getForwardParameters()

    - #### setForwardParameters

          public void setForwardParameters(String forwardParameters)

    - #### validate

          public void validate(RealmModel realm)

      Description copied from class: `IdentityProviderModel`

      Validates this configuration.

      Sub-classes can override this method in order to enforce provider specific validations.

      Overrides:
        `validate` in class `IdentityProviderModel`
      Parameters:
        `realm` - the realm

Copyright © 2020 JBoss by Red Hat. All rights reserved.